# 32/64bit spec-file
#
Name:      spatialindex
Version:   1.8.0
Release:   %mkrel 1
Summary:   Spatial index library 
Group:     System Environment/Libraries
License:   MIT
URL:       http://libspatialindex.org
Source0:   http://download.osgeo.org/%{name}-src-%{version}.tar.xz

# Create proper soname symlinks and versioned libspatialindex_c
# https://github.com/libspatialindex/libspatialindex/issues/9
# Autotools do it automatically
Patch0:    %{name}-1.8.0-soname.patch

BuildRequires:    cmake


%description
Spatialindex provides a general framework for developing spatial indices.
Currently it defines generic interfaces, provides simple main memory and
disk based storage managers and a robust implementation of an R*-tree,
an MVR-tree and a TPR-tree.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -qn %{name}-src-%{version}
%patch0 -p1 -b .soname~


%build
%cmake ../
make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so

%clean
rm -rf %{buildroot}


%changelog
* Thu Dec 27 2012 pinoc <vogtpet@gmail.com> - 1.8.0-1pclos2013
- adapted rebuild from Fedora

